import 'package:electronic_assistant/data/bean/agenda.dart';
import 'package:get/get.dart';
import 'package:json_annotation/json_annotation.dart';

part 'agenda_list_all_bean.g.dart';

@JsonSerializable()
class AgendaListAllBean {
  @JsonKey(name: 'name')
  String? name;

  @JsonKey(name: 'agendas')
  List<Agenda>? list;

  final isExpanded = false.obs;

  AgendaListAllBean({this.name, this.list});

  factory AgendaListAllBean.fromJson(Map<String, dynamic> json) =>
      _$AgendaListAllBeanFromJson(json);
}
